com.independentsoft.exchange

## Class ContentSettings

- java.lang.Object
- - com.independentsoft.exchange.ContentSettings

-     public class ContentSettings
      extends java.lang.Object

  Represents the settings that control when items expire and the types of items that expire.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentSettings()` Instantiates a new content settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the unique identity for the content setting.
    `java.lang.String` | `getMessageClass()` Gets the message class.
    `int` | `getPeriod()` Gets the number of days after which an item SHOULD expire under this policy.
    `RetentionAction` | `getRetentionAction()` Gets the retention action.
    `void` | `setId(java.lang.String id)` Sets the unique identity for the content setting.
    `void` | `setMessageClass(java.lang.String messageClass)` Sets the message class.
    `void` | `setPeriod(int period)` Sets the number of days after which an item SHOULD expire under this policy.
    `void` | `setRetentionAction(RetentionAction retentionAction)` Sets the retention action.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentSettings

          public ContentSettings()

      Instantiates a new content settings.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identity for the content setting.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the unique identity for the content setting.
      Parameters:
        `id` - the new id

    - #### getPeriod

          public int getPeriod()

      Gets the number of days after which an item SHOULD expire under this policy. This value is configured by a server administrator. The value MUST be between 0 and 24,855.
      Returns:
        the period

    - #### setPeriod

          public void setPeriod(int period)

      Sets the number of days after which an item SHOULD expire under this policy. This value is configured by a server administrator. The value MUST be between 0 and 24,855.
      Parameters:
        `period` - the new period

    - #### getMessageClass

          public java.lang.String getMessageClass()

      Gets the message class. The value "*" represents any message class. The string length MUST be between 1 and 1,023 characters.
      Returns:
        the message class

    - #### setMessageClass

          public void setMessageClass(java.lang.String messageClass)

      Sets the message class. The value "*" represents any message class. The string length MUST be between 1 and 1,023 characters.
      Parameters:
        `messageClass` - the new message class

    - #### getRetentionAction

          public RetentionAction getRetentionAction()

      Gets the retention action.
      Returns:
        the retention action

    - #### setRetentionAction

          public void setRetentionAction(RetentionAction retentionAction)

      Sets the retention action.
      Parameters:
        `retentionAction` - the new retention action